Package org.apache.xmlbeans.impl.schema

## Class StscTranslator

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.StscTranslator

-     public class StscTranslator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RegularExpression` | `XPATH_REGEXP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StscTranslator()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `addAllDefinitions​(StscImporter.SchemaToProcess[] schemasAndChameleons)` |
    `static void` | `copyGlobalAttributeToLocalAttribute​(SchemaGlobalAttributeImpl referenced, SchemaLocalAttributeImpl target)` |
    `static void` | `copyGlobalElementToLocalElement​(SchemaGlobalElement referenced, SchemaLocalElementImpl target)` |
    `static SchemaAttributeGroupImpl` | `translateAttributeGroup​(AttributeGroup attrGroup, String targetNamespace, boolean chameleon, boolean redefinition)` |
    `static SchemaLocalElementImpl` | `translateElement​(Element xsdElt, String targetNamespace, boolean chameleon, String elemFormDefault, String attFormDefault, List<SchemaType> anonymousTypes, SchemaType outerType)` | Translates a local or global schema element.
    `static SchemaModelGroupImpl` | `translateModelGroup​(NamedGroup namedGroup, String targetNamespace, boolean chameleon, boolean redefinition)` |
    `static boolean` | `uriMatch​(String s1, String s2)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XPATH_REGEXP

          public static final RegularExpression XPATH_REGEXP

  - ### Constructor Detail

    - #### StscTranslator

          public StscTranslator()

  - ### Method Detail

    - #### addAllDefinitions

          public static void addAllDefinitions​(StscImporter.SchemaToProcess[] schemasAndChameleons)

    - #### uriMatch

          public static boolean uriMatch​(String s1,
                                         String s2)

    - #### copyGlobalElementToLocalElement

          public static void copyGlobalElementToLocalElement​(SchemaGlobalElement referenced,
                                                             SchemaLocalElementImpl target)

    - #### copyGlobalAttributeToLocalAttribute

          public static void copyGlobalAttributeToLocalAttribute​(SchemaGlobalAttributeImpl referenced,
                                                                 SchemaLocalAttributeImpl target)

    - #### translateElement

          public static SchemaLocalElementImpl translateElement​(Element xsdElt,
                                                                String targetNamespace,
                                                                boolean chameleon,
                                                                String elemFormDefault,
                                                                String attFormDefault,
                                                                List<SchemaType> anonymousTypes,
                                                                SchemaType outerType)

      Translates a local or global schema element.

    - #### translateModelGroup

          public static SchemaModelGroupImpl translateModelGroup​(NamedGroup namedGroup,
                                                                 String targetNamespace,
                                                                 boolean chameleon,
                                                                 boolean redefinition)

    - #### translateAttributeGroup

          public static SchemaAttributeGroupImpl translateAttributeGroup​(AttributeGroup attrGroup,
                                                                         String targetNamespace,
                                                                         boolean chameleon,
                                                                         boolean redefinition)